using Gready_Poang.ViewModelLayer;

namespace Gready_Poang
{
    public partial class AppShell : Shell
    {
        //private readonly IPageFactory _factory;

        //public AppShell(IPageFactory factory, AppShellViewModel appShellView)
        public AppShell(AppShellViewModel appShellView)
        {
            InitializeComponent();
            Routing.RegisterRoute("ParticipantListView", typeof(Views.ParticipantListView));
            Routing.RegisterRoute("RoundStartingView", typeof(Views.RoundStartingView));
            Routing.RegisterRoute("RoundRunningView", typeof(Views.RoundRunningView));
            //_factory = factory;
            BindingContext = appShellView;
        }
    }
}
